Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Anyone trying to use ppa-purge to remove this PPA on Mint will find it doesn't work unless you add -d <name of distro>. Works good on Mint 18. If you plan to upgrade to Mint 18 from 17, just use trusty instead of xenial before you do the upgrade.
    Code:
    sudo ppa-purge -d xenial ppa:oibaf/graphics-drivers

    Comment


    • I tried the driver in a AMD "Kaveri" APU computer, but doesnt work I get a black screen while playing games with OpenGL, anyone knows how to fix this?

      Comment


      • For black screen sometimes works to switch compositing one way or another. I.e. either kill compiz/compton/xcompmgr or start them.

        Comment




        • is Kaveri 7850k, R7 graphics supported by this driver?

          Im new to linux
          Last edited by sahib222; 08-03-2016, 01:28 PM.

          Comment


          • oibaf :

            Ubuntu and Debian are using xf86-video-modesetting now instead of xf86-video-intel, see:

            https://tjaalton.wordpress.com/2016/...g-driver-on-x/
            https://www.phoronix.com/forums/foru...odesetting-ddx

            Your PPA only provides updates for xf86-video-intel, but not for xf86-video-modesetting.

            I know that xf86-video-modesetting has become a part of xorg-server, so it does not have a standalone package anymore.

            So, would there be any chance you could provide updates for xorg-server via your PPA?

            It looks like there's no PPA to upgrade xorg-server.

            The only way to upgrade to a newer xorg-server seems to be to update to a new version of Ubuntu or use the LTS Enablement Stacks / Hardware Enablement Stacks (HWE).

            It would be nice if your PPA would also provide an updated xorg-server. That way users would also receive updates for xf86-video-modesetting.

            Any chance you could do that?

            Regards

            Comment


            • Upgrading xorg also requires rebuilding many packages depending on it, I prefer to avoid it in the PPA to avoid possible breakage, for little gain. Also I have very little free time currently.

              Comment


              • i've testet oibaf ppa on ubuntu 16.04 64bit on APU A10 8700p + r7 m360m
                when i restart xorg not start (failsafe mode) and i must run ppa-purge

                Comment


                • I got some problems using the package. I seem to be stuck on software rendering. Running glxinfo gives me "Gallium 0.4 on llvmpipe (LLVM 3.9, 256 bits)"
                  Here's more information about it http://askubuntu.com/questions/81094...lled-correctly
                  I think I got oibaf's package working but maybe there's something wrong with my settings? Does anyone have any suggestions how to fix it. My wife isn't too happy about the snafu of me fixing her computer ;-)

                  Comment


                  • You might have an xorg.conf file left over from running fglrx, or the kernel driver might still be blacklisted.

                    Can you pastebin dmesg output (dmesg >file) and xorg log (/var/log/xorg.0.log) ?

                    EDIT - also run glxinfo (or anything using GL) with LIBGL_DEBUG=verbose, eg "LIBGL_DEBUG=verbose glxinfo >x" and post the debug messages (glxinfo output will go into a file named x)
                    Last edited by bridgman; 08-11-2016, 07:08 PM.

                    Comment


                    • Originally posted by bridgman View Post
                      You might have an xorg.conf file left over from running fglrx, or the kernel driver might still be blacklisted.

                      Can you pastebin dmesg output (dmesg >file) and xorg log (/var/log/xorg.0.log) ?

                      EDIT - also run glxinfo (or anything using GL) with LIBGL_DEBUG=verbose, eg "LIBGL_DEBUG=verbose glxinfo >x" and post the debug messages (glxinfo output will go into a file named x)
                      Thank you for your response bridgman, as far as I can see xorg.conf has been properly deleted. There's just old backups of it left in the folder. How can I tell if the kernel driver is blacklisted?

                      dmesg is empty "(Nothing has been logged yet.)"
                      Here is the xorg.0.log: http://pastebin.com/h9svw8LK
                      And here is glxinfo: http://pastebin.com/mrA8C6i9
                      When I ran "LIBGL_DEBUG=verbose glxinfo >x" i got this message but I'm not sure if it's important:
                      Code:
                      libGL: OpenDriver: trying /usr/lib/x86_64-linux-gnu/dri/tls/swrast_dri.so
                      libGL: OpenDriver: trying /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
                      libGL: Can't open configuration file /home/amelie/.drirc: No such file or directory.
                      libGL: Can't open configuration file /home/amelie/.drirc: No such file or directory.

                      Comment

                      Working...
                      X